package com.mortals.xhx.module.care.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.care.model.CareCpRecordsEntity;
/**
* 差评预警查询对象
*
* @author zxfei
* @date 2025-03-28
*/
public class CareCpRecordsQuery extends CareCpRecordsEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 个人信息ID */
    private Long personIdStart;

    /** 结束 个人信息ID */
    private Long personIdEnd;

    /** 增加 个人信息ID */
    private Long personIdIncrement;

    /** 个人信息ID列表 */
    private List <Long> personIdList;

    /** 个人信息ID排除列表 */
    private List <Long> personIdNotList;

    /** 开始 评价号ID与办理号id一致 */
    private Long pjIdStart;

    /** 结束 评价号ID与办理号id一致 */
    private Long pjIdEnd;

    /** 增加 评价号ID与办理号id一致 */
    private Long pjIdIncrement;

    /** 评价号ID与办理号id一致列表 */
    private List <Long> pjIdList;

    /** 评价号ID与办理号id一致排除列表 */
    private List <Long> pjIdNotList;

    /** 姓名 */
    private List<String> nameList;

    /** 姓名排除列表 */
    private List <String> nameNotList;
    /** 联系方式 */
    private List<String> contactList;

    /** 联系方式排除列表 */
    private List <String> contactNotList;
    /** 身份证号码 */
    private List<String> idCardList;

    /** 身份证号码排除列表 */
    private List <String> idCardNotList;
    /** 开始 窗口id */
    private Long windowIdStart;

    /** 结束 窗口id */
    private Long windowIdEnd;

    /** 增加 窗口id */
    private Long windowIdIncrement;

    /** 窗口id列表 */
    private List <Long> windowIdList;

    /** 窗口id排除列表 */
    private List <Long> windowIdNotList;

    /** 窗口名称 */
    private List<String> windowNameList;

    /** 窗口名称排除列表 */
    private List <String> windowNameNotList;
    /** 部门 */
    private List<String> sectionList;

    /** 部门排除列表 */
    private List <String> sectionNotList;
    /** 编号 */
    private List<String> flounumList;

    /** 编号排除列表 */
    private List <String> flounumNotList;
    /** 评价选项 */
    private List<String> assessmentList;

    /** 评价选项排除列表 */
    private List <String> assessmentNotList;
    /** 评价类型 */
    private List<String> typeList;

    /** 评价类型排除列表 */
    private List <String> typeNotList;
    /** 评价内容 */
    private List<String> contentList;

    /** 评价内容排除列表 */
    private List <String> contentNotList;
    /** 来源 */
    private List<String> sourceList;

    /** 来源排除列表 */
    private List <String> sourceNotList;
    /** 开始 评价时间 */
    private String pjTimeStart;

    /** 结束 评价时间 */
    private String pjTimeEnd;

    /** 开始 告警次数 */
    private Integer careCountStart;

    /** 结束 告警次数 */
    private Integer careCountEnd;

    /** 增加 告警次数 */
    private Integer careCountIncrement;

    /** 告警次数列表 */
    private List <Integer> careCountList;

    /** 告警次数排除列表 */
    private List <Integer> careCountNotList;

    /** 开始 消息发送次数 */
    private Integer smsCountStart;

    /** 结束 消息发送次数 */
    private Integer smsCountEnd;

    /** 增加 消息发送次数 */
    private Integer smsCountIncrement;

    /** 消息发送次数列表 */
    private List <Integer> smsCountList;

    /** 消息发送次数排除列表 */
    private List <Integer> smsCountNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人ID */
    private Long createUserIdStart;

    /** 结束 创建人ID */
    private Long createUserIdEnd;

    /** 增加 创建人ID */
    private Long createUserIdIncrement;

    /** 创建人ID列表 */
    private List <Long> createUserIdList;

    /** 创建人ID排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人ID */
    private Long updateUserIdStart;

    /** 结束 更新人ID */
    private Long updateUserIdEnd;

    /** 增加 更新人ID */
    private Long updateUserIdIncrement;

    /** 更新人ID列表 */
    private List <Long> updateUserIdList;

    /** 更新人ID排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CareCpRecordsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CareCpRecordsQuery> andConditionList;

    public CareCpRecordsQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点Id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点Id
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点Id
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
    * 获取 站点名称
    * @return siteNameNotList
    */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
    * 设置 站点名称
    * @param siteNameNotList
    */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
    * 获取 开始 个人信息ID
    * @return personIdStart
    */
    public Long getPersonIdStart(){
        return this.personIdStart;
    }

    /**
    * 设置 开始 个人信息ID
    * @param personIdStart
    */
    public void setPersonIdStart(Long personIdStart){
        this.personIdStart = personIdStart;
    }

    /**
    * 获取 结束 个人信息ID
    * @return $personIdEnd
    */
    public Long getPersonIdEnd(){
        return this.personIdEnd;
    }

    /**
    * 设置 结束 个人信息ID
    * @param personIdEnd
    */
    public void setPersonIdEnd(Long personIdEnd){
        this.personIdEnd = personIdEnd;
    }

    /**
    * 获取 增加 个人信息ID
    * @return personIdIncrement
    */
    public Long getPersonIdIncrement(){
        return this.personIdIncrement;
    }

    /**
    * 设置 增加 个人信息ID
    * @param personIdIncrement
    */
    public void setPersonIdIncrement(Long personIdIncrement){
        this.personIdIncrement = personIdIncrement;
    }

    /**
    * 获取 个人信息ID
    * @return personIdList
    */
    public List<Long> getPersonIdList(){
        return this.personIdList;
    }

    /**
    * 设置 个人信息ID
    * @param personIdList
    */
    public void setPersonIdList(List<Long> personIdList){
        this.personIdList = personIdList;
    }

    /**
    * 获取 个人信息ID
    * @return personIdNotList
    */
    public List<Long> getPersonIdNotList(){
        return this.personIdNotList;
    }

    /**
    * 设置 个人信息ID
    * @param personIdNotList
    */
    public void setPersonIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
    }


    /**
    * 获取 开始 评价号ID与办理号id一致
    * @return pjIdStart
    */
    public Long getPjIdStart(){
        return this.pjIdStart;
    }

    /**
    * 设置 开始 评价号ID与办理号id一致
    * @param pjIdStart
    */
    public void setPjIdStart(Long pjIdStart){
        this.pjIdStart = pjIdStart;
    }

    /**
    * 获取 结束 评价号ID与办理号id一致
    * @return $pjIdEnd
    */
    public Long getPjIdEnd(){
        return this.pjIdEnd;
    }

    /**
    * 设置 结束 评价号ID与办理号id一致
    * @param pjIdEnd
    */
    public void setPjIdEnd(Long pjIdEnd){
        this.pjIdEnd = pjIdEnd;
    }

    /**
    * 获取 增加 评价号ID与办理号id一致
    * @return pjIdIncrement
    */
    public Long getPjIdIncrement(){
        return this.pjIdIncrement;
    }

    /**
    * 设置 增加 评价号ID与办理号id一致
    * @param pjIdIncrement
    */
    public void setPjIdIncrement(Long pjIdIncrement){
        this.pjIdIncrement = pjIdIncrement;
    }

    /**
    * 获取 评价号ID与办理号id一致
    * @return pjIdList
    */
    public List<Long> getPjIdList(){
        return this.pjIdList;
    }

    /**
    * 设置 评价号ID与办理号id一致
    * @param pjIdList
    */
    public void setPjIdList(List<Long> pjIdList){
        this.pjIdList = pjIdList;
    }

    /**
    * 获取 评价号ID与办理号id一致
    * @return pjIdNotList
    */
    public List<Long> getPjIdNotList(){
        return this.pjIdNotList;
    }

    /**
    * 设置 评价号ID与办理号id一致
    * @param pjIdNotList
    */
    public void setPjIdNotList(List<Long> pjIdNotList){
        this.pjIdNotList = pjIdNotList;
    }


    /**
    * 获取 姓名
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 姓名
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 姓名
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 姓名
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 联系方式
    * @return contactList
    */
    public List<String> getContactList(){
        return this.contactList;
    }

    /**
    * 设置 联系方式
    * @param contactList
    */
    public void setContactList(List<String> contactList){
        this.contactList = contactList;
    }

    /**
    * 获取 联系方式
    * @return contactNotList
    */
    public List<String> getContactNotList(){
        return this.contactNotList;
    }

    /**
    * 设置 联系方式
    * @param contactNotList
    */
    public void setContactNotList(List<String> contactNotList){
        this.contactNotList = contactNotList;
    }

    /**
    * 获取 身份证号码
    * @return idCardList
    */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
    * 设置 身份证号码
    * @param idCardList
    */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
    * 获取 身份证号码
    * @return idCardNotList
    */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
    * 设置 身份证号码
    * @param idCardNotList
    */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
    * 获取 开始 窗口id
    * @return windowIdStart
    */
    public Long getWindowIdStart(){
        return this.windowIdStart;
    }

    /**
    * 设置 开始 窗口id
    * @param windowIdStart
    */
    public void setWindowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
    }

    /**
    * 获取 结束 窗口id
    * @return $windowIdEnd
    */
    public Long getWindowIdEnd(){
        return this.windowIdEnd;
    }

    /**
    * 设置 结束 窗口id
    * @param windowIdEnd
    */
    public void setWindowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
    }

    /**
    * 获取 增加 窗口id
    * @return windowIdIncrement
    */
    public Long getWindowIdIncrement(){
        return this.windowIdIncrement;
    }

    /**
    * 设置 增加 窗口id
    * @param windowIdIncrement
    */
    public void setWindowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
    }

    /**
    * 获取 窗口id
    * @return windowIdList
    */
    public List<Long> getWindowIdList(){
        return this.windowIdList;
    }

    /**
    * 设置 窗口id
    * @param windowIdList
    */
    public void setWindowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
    }

    /**
    * 获取 窗口id
    * @return windowIdNotList
    */
    public List<Long> getWindowIdNotList(){
        return this.windowIdNotList;
    }

    /**
    * 设置 窗口id
    * @param windowIdNotList
    */
    public void setWindowIdNotList(List<Long> windowIdNotList){
        this.windowIdNotList = windowIdNotList;
    }


    /**
    * 获取 窗口名称
    * @return windowNameList
    */
    public List<String> getWindowNameList(){
        return this.windowNameList;
    }

    /**
    * 设置 窗口名称
    * @param windowNameList
    */
    public void setWindowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
    }

    /**
    * 获取 窗口名称
    * @return windowNameNotList
    */
    public List<String> getWindowNameNotList(){
        return this.windowNameNotList;
    }

    /**
    * 设置 窗口名称
    * @param windowNameNotList
    */
    public void setWindowNameNotList(List<String> windowNameNotList){
        this.windowNameNotList = windowNameNotList;
    }

    /**
    * 获取 部门
    * @return sectionList
    */
    public List<String> getSectionList(){
        return this.sectionList;
    }

    /**
    * 设置 部门
    * @param sectionList
    */
    public void setSectionList(List<String> sectionList){
        this.sectionList = sectionList;
    }

    /**
    * 获取 部门
    * @return sectionNotList
    */
    public List<String> getSectionNotList(){
        return this.sectionNotList;
    }

    /**
    * 设置 部门
    * @param sectionNotList
    */
    public void setSectionNotList(List<String> sectionNotList){
        this.sectionNotList = sectionNotList;
    }

    /**
    * 获取 编号
    * @return flounumList
    */
    public List<String> getFlounumList(){
        return this.flounumList;
    }

    /**
    * 设置 编号
    * @param flounumList
    */
    public void setFlounumList(List<String> flounumList){
        this.flounumList = flounumList;
    }

    /**
    * 获取 编号
    * @return flounumNotList
    */
    public List<String> getFlounumNotList(){
        return this.flounumNotList;
    }

    /**
    * 设置 编号
    * @param flounumNotList
    */
    public void setFlounumNotList(List<String> flounumNotList){
        this.flounumNotList = flounumNotList;
    }

    /**
    * 获取 评价选项
    * @return assessmentList
    */
    public List<String> getAssessmentList(){
        return this.assessmentList;
    }

    /**
    * 设置 评价选项
    * @param assessmentList
    */
    public void setAssessmentList(List<String> assessmentList){
        this.assessmentList = assessmentList;
    }

    /**
    * 获取 评价选项
    * @return assessmentNotList
    */
    public List<String> getAssessmentNotList(){
        return this.assessmentNotList;
    }

    /**
    * 设置 评价选项
    * @param assessmentNotList
    */
    public void setAssessmentNotList(List<String> assessmentNotList){
        this.assessmentNotList = assessmentNotList;
    }

    /**
    * 获取 评价类型
    * @return typeList
    */
    public List<String> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 评价类型
    * @param typeList
    */
    public void setTypeList(List<String> typeList){
        this.typeList = typeList;
    }

    /**
    * 获取 评价类型
    * @return typeNotList
    */
    public List<String> getTypeNotList(){
        return this.typeNotList;
    }

    /**
    * 设置 评价类型
    * @param typeNotList
    */
    public void setTypeNotList(List<String> typeNotList){
        this.typeNotList = typeNotList;
    }

    /**
    * 获取 评价内容
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 评价内容
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }

    /**
    * 获取 评价内容
    * @return contentNotList
    */
    public List<String> getContentNotList(){
        return this.contentNotList;
    }

    /**
    * 设置 评价内容
    * @param contentNotList
    */
    public void setContentNotList(List<String> contentNotList){
        this.contentNotList = contentNotList;
    }

    /**
    * 获取 来源
    * @return sourceList
    */
    public List<String> getSourceList(){
        return this.sourceList;
    }

    /**
    * 设置 来源
    * @param sourceList
    */
    public void setSourceList(List<String> sourceList){
        this.sourceList = sourceList;
    }

    /**
    * 获取 来源
    * @return sourceNotList
    */
    public List<String> getSourceNotList(){
        return this.sourceNotList;
    }

    /**
    * 设置 来源
    * @param sourceNotList
    */
    public void setSourceNotList(List<String> sourceNotList){
        this.sourceNotList = sourceNotList;
    }

    /**
    * 获取 开始 评价时间
    * @return pjTimeStart
    */
    public String getPjTimeStart(){
        return this.pjTimeStart;
    }

    /**
    * 设置 开始 评价时间
    * @param pjTimeStart
    */
    public void setPjTimeStart(String pjTimeStart){
        this.pjTimeStart = pjTimeStart;
    }

    /**
    * 获取 结束 评价时间
    * @return pjTimeEnd
    */
    public String getPjTimeEnd(){
        return this.pjTimeEnd;
    }

    /**
    * 设置 结束 评价时间
    * @param pjTimeEnd
    */
    public void setPjTimeEnd(String pjTimeEnd){
        this.pjTimeEnd = pjTimeEnd;
    }

    /**
    * 获取 开始 告警次数
    * @return careCountStart
    */
    public Integer getCareCountStart(){
        return this.careCountStart;
    }

    /**
    * 设置 开始 告警次数
    * @param careCountStart
    */
    public void setCareCountStart(Integer careCountStart){
        this.careCountStart = careCountStart;
    }

    /**
    * 获取 结束 告警次数
    * @return $careCountEnd
    */
    public Integer getCareCountEnd(){
        return this.careCountEnd;
    }

    /**
    * 设置 结束 告警次数
    * @param careCountEnd
    */
    public void setCareCountEnd(Integer careCountEnd){
        this.careCountEnd = careCountEnd;
    }

    /**
    * 获取 增加 告警次数
    * @return careCountIncrement
    */
    public Integer getCareCountIncrement(){
        return this.careCountIncrement;
    }

    /**
    * 设置 增加 告警次数
    * @param careCountIncrement
    */
    public void setCareCountIncrement(Integer careCountIncrement){
        this.careCountIncrement = careCountIncrement;
    }

    /**
    * 获取 告警次数
    * @return careCountList
    */
    public List<Integer> getCareCountList(){
        return this.careCountList;
    }

    /**
    * 设置 告警次数
    * @param careCountList
    */
    public void setCareCountList(List<Integer> careCountList){
        this.careCountList = careCountList;
    }

    /**
    * 获取 告警次数
    * @return careCountNotList
    */
    public List<Integer> getCareCountNotList(){
        return this.careCountNotList;
    }

    /**
    * 设置 告警次数
    * @param careCountNotList
    */
    public void setCareCountNotList(List<Integer> careCountNotList){
        this.careCountNotList = careCountNotList;
    }


    /**
    * 获取 开始 消息发送次数
    * @return smsCountStart
    */
    public Integer getSmsCountStart(){
        return this.smsCountStart;
    }

    /**
    * 设置 开始 消息发送次数
    * @param smsCountStart
    */
    public void setSmsCountStart(Integer smsCountStart){
        this.smsCountStart = smsCountStart;
    }

    /**
    * 获取 结束 消息发送次数
    * @return $smsCountEnd
    */
    public Integer getSmsCountEnd(){
        return this.smsCountEnd;
    }

    /**
    * 设置 结束 消息发送次数
    * @param smsCountEnd
    */
    public void setSmsCountEnd(Integer smsCountEnd){
        this.smsCountEnd = smsCountEnd;
    }

    /**
    * 获取 增加 消息发送次数
    * @return smsCountIncrement
    */
    public Integer getSmsCountIncrement(){
        return this.smsCountIncrement;
    }

    /**
    * 设置 增加 消息发送次数
    * @param smsCountIncrement
    */
    public void setSmsCountIncrement(Integer smsCountIncrement){
        this.smsCountIncrement = smsCountIncrement;
    }

    /**
    * 获取 消息发送次数
    * @return smsCountList
    */
    public List<Integer> getSmsCountList(){
        return this.smsCountList;
    }

    /**
    * 设置 消息发送次数
    * @param smsCountList
    */
    public void setSmsCountList(List<Integer> smsCountList){
        this.smsCountList = smsCountList;
    }

    /**
    * 获取 消息发送次数
    * @return smsCountNotList
    */
    public List<Integer> getSmsCountNotList(){
        return this.smsCountNotList;
    }

    /**
    * 设置 消息发送次数
    * @param smsCountNotList
    */
    public void setSmsCountNotList(List<Integer> smsCountNotList){
        this.smsCountNotList = smsCountNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人ID
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人ID
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人ID
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人ID
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人ID
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人ID
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public CareCpRecordsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public CareCpRecordsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public CareCpRecordsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public CareCpRecordsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public CareCpRecordsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public CareCpRecordsQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点Id
    * @param siteId
    */
    public CareCpRecordsQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public CareCpRecordsQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public CareCpRecordsQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public CareCpRecordsQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public CareCpRecordsQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点Id
        * @param siteIdNotList
        */
        public CareCpRecordsQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public CareCpRecordsQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public CareCpRecordsQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  个人信息ID
    * @param personId
    */
    public CareCpRecordsQuery personId(Long personId){
	    setPersonId(personId);
		return this;
    }
	
	 /**
    * 设置 开始 个人信息ID
    * @param personIdStart
    */
    public CareCpRecordsQuery personIdStart(Long personIdStart){
		this.personIdStart = personIdStart;
		return this;
    }

    /**
    * 设置 结束 个人信息ID
    * @param personIdEnd
    */
    public CareCpRecordsQuery personIdEnd(Long personIdEnd){
		this.personIdEnd = personIdEnd;
		return this;
    }

    /**
    * 设置 增加 个人信息ID
    * @param personIdIncrement
    */
    public CareCpRecordsQuery personIdIncrement(Long personIdIncrement){
		this.personIdIncrement = personIdIncrement;
		return this;
    }

    /**
    * 设置 个人信息ID
    * @param personIdList
    */
    public CareCpRecordsQuery personIdList(List<Long> personIdList){
        this.personIdList = personIdList;
		return this;
        }

        /**
        * 设置 个人信息ID
        * @param personIdNotList
        */
        public CareCpRecordsQuery personIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
        return this;
        }

    /**
    * 设置  评价号ID与办理号id一致
    * @param pjId
    */
    public CareCpRecordsQuery pjId(Long pjId){
	    setPjId(pjId);
		return this;
    }
	
	 /**
    * 设置 开始 评价号ID与办理号id一致
    * @param pjIdStart
    */
    public CareCpRecordsQuery pjIdStart(Long pjIdStart){
		this.pjIdStart = pjIdStart;
		return this;
    }

    /**
    * 设置 结束 评价号ID与办理号id一致
    * @param pjIdEnd
    */
    public CareCpRecordsQuery pjIdEnd(Long pjIdEnd){
		this.pjIdEnd = pjIdEnd;
		return this;
    }

    /**
    * 设置 增加 评价号ID与办理号id一致
    * @param pjIdIncrement
    */
    public CareCpRecordsQuery pjIdIncrement(Long pjIdIncrement){
		this.pjIdIncrement = pjIdIncrement;
		return this;
    }

    /**
    * 设置 评价号ID与办理号id一致
    * @param pjIdList
    */
    public CareCpRecordsQuery pjIdList(List<Long> pjIdList){
        this.pjIdList = pjIdList;
		return this;
        }

        /**
        * 设置 评价号ID与办理号id一致
        * @param pjIdNotList
        */
        public CareCpRecordsQuery pjIdNotList(List<Long> pjIdNotList){
        this.pjIdNotList = pjIdNotList;
        return this;
        }


	/**
    * 设置 姓名
    * @param name
    */
    public CareCpRecordsQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 姓名
    * @param nameList
    */
    public CareCpRecordsQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 联系方式
    * @param contact
    */
    public CareCpRecordsQuery contact(String contact){
        setContact(contact);
		return this;
    }

    /**
    * 设置 联系方式
    * @param contactList
    */
    public CareCpRecordsQuery contactList(List<String> contactList){
        this.contactList = contactList;
		return this;
    }


	/**
    * 设置 身份证号码
    * @param idCard
    */
    public CareCpRecordsQuery idCard(String idCard){
        setIdCard(idCard);
		return this;
    }

    /**
    * 设置 身份证号码
    * @param idCardList
    */
    public CareCpRecordsQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
		return this;
    }

    /**
    * 设置  窗口id
    * @param windowId
    */
    public CareCpRecordsQuery windowId(Long windowId){
	    setWindowId(windowId);
		return this;
    }
	
	 /**
    * 设置 开始 窗口id
    * @param windowIdStart
    */
    public CareCpRecordsQuery windowIdStart(Long windowIdStart){
		this.windowIdStart = windowIdStart;
		return this;
    }

    /**
    * 设置 结束 窗口id
    * @param windowIdEnd
    */
    public CareCpRecordsQuery windowIdEnd(Long windowIdEnd){
		this.windowIdEnd = windowIdEnd;
		return this;
    }

    /**
    * 设置 增加 窗口id
    * @param windowIdIncrement
    */
    public CareCpRecordsQuery windowIdIncrement(Long windowIdIncrement){
		this.windowIdIncrement = windowIdIncrement;
		return this;
    }

    /**
    * 设置 窗口id
    * @param windowIdList
    */
    public CareCpRecordsQuery windowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
		return this;
        }

        /**
        * 设置 窗口id
        * @param windowIdNotList
        */
        public CareCpRecordsQuery windowIdNotList(List<Long> windowIdNotList){
        this.windowIdNotList = windowIdNotList;
        return this;
        }


	/**
    * 设置 窗口名称
    * @param windowName
    */
    public CareCpRecordsQuery windowName(String windowName){
        setWindowName(windowName);
		return this;
    }

    /**
    * 设置 窗口名称
    * @param windowNameList
    */
    public CareCpRecordsQuery windowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
		return this;
    }


	/**
    * 设置 部门
    * @param section
    */
    public CareCpRecordsQuery section(String section){
        setSection(section);
		return this;
    }

    /**
    * 设置 部门
    * @param sectionList
    */
    public CareCpRecordsQuery sectionList(List<String> sectionList){
        this.sectionList = sectionList;
		return this;
    }


	/**
    * 设置 编号
    * @param flounum
    */
    public CareCpRecordsQuery flounum(String flounum){
        setFlounum(flounum);
		return this;
    }

    /**
    * 设置 编号
    * @param flounumList
    */
    public CareCpRecordsQuery flounumList(List<String> flounumList){
        this.flounumList = flounumList;
		return this;
    }


	/**
    * 设置 评价选项
    * @param assessment
    */
    public CareCpRecordsQuery assessment(String assessment){
        setAssessment(assessment);
		return this;
    }

    /**
    * 设置 评价选项
    * @param assessmentList
    */
    public CareCpRecordsQuery assessmentList(List<String> assessmentList){
        this.assessmentList = assessmentList;
		return this;
    }


	/**
    * 设置 评价类型
    * @param type
    */
    public CareCpRecordsQuery type(String type){
        setType(type);
		return this;
    }

    /**
    * 设置 评价类型
    * @param typeList
    */
    public CareCpRecordsQuery typeList(List<String> typeList){
        this.typeList = typeList;
		return this;
    }


	/**
    * 设置 评价内容
    * @param content
    */
    public CareCpRecordsQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 评价内容
    * @param contentList
    */
    public CareCpRecordsQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }


	/**
    * 设置 来源
    * @param source
    */
    public CareCpRecordsQuery source(String source){
        setSource(source);
		return this;
    }

    /**
    * 设置 来源
    * @param sourceList
    */
    public CareCpRecordsQuery sourceList(List<String> sourceList){
        this.sourceList = sourceList;
		return this;
    }


    /**
    * 设置  告警次数
    * @param careCount
    */
    public CareCpRecordsQuery careCount(Integer careCount){
	    setCareCount(careCount);
		return this;
    }
	
	 /**
    * 设置 开始 告警次数
    * @param careCountStart
    */
    public CareCpRecordsQuery careCountStart(Integer careCountStart){
		this.careCountStart = careCountStart;
		return this;
    }

    /**
    * 设置 结束 告警次数
    * @param careCountEnd
    */
    public CareCpRecordsQuery careCountEnd(Integer careCountEnd){
		this.careCountEnd = careCountEnd;
		return this;
    }

    /**
    * 设置 增加 告警次数
    * @param careCountIncrement
    */
    public CareCpRecordsQuery careCountIncrement(Integer careCountIncrement){
		this.careCountIncrement = careCountIncrement;
		return this;
    }

    /**
    * 设置 告警次数
    * @param careCountList
    */
    public CareCpRecordsQuery careCountList(List<Integer> careCountList){
        this.careCountList = careCountList;
		return this;
        }

        /**
        * 设置 告警次数
        * @param careCountNotList
        */
        public CareCpRecordsQuery careCountNotList(List<Integer> careCountNotList){
        this.careCountNotList = careCountNotList;
        return this;
        }

    /**
    * 设置  消息发送次数
    * @param smsCount
    */
    public CareCpRecordsQuery smsCount(Integer smsCount){
	    setSmsCount(smsCount);
		return this;
    }
	
	 /**
    * 设置 开始 消息发送次数
    * @param smsCountStart
    */
    public CareCpRecordsQuery smsCountStart(Integer smsCountStart){
		this.smsCountStart = smsCountStart;
		return this;
    }

    /**
    * 设置 结束 消息发送次数
    * @param smsCountEnd
    */
    public CareCpRecordsQuery smsCountEnd(Integer smsCountEnd){
		this.smsCountEnd = smsCountEnd;
		return this;
    }

    /**
    * 设置 增加 消息发送次数
    * @param smsCountIncrement
    */
    public CareCpRecordsQuery smsCountIncrement(Integer smsCountIncrement){
		this.smsCountIncrement = smsCountIncrement;
		return this;
    }

    /**
    * 设置 消息发送次数
    * @param smsCountList
    */
    public CareCpRecordsQuery smsCountList(List<Integer> smsCountList){
        this.smsCountList = smsCountList;
		return this;
        }

        /**
        * 设置 消息发送次数
        * @param smsCountNotList
        */
        public CareCpRecordsQuery smsCountNotList(List<Integer> smsCountNotList){
        this.smsCountNotList = smsCountNotList;
        return this;
        }


    /**
    * 设置  创建人ID
    * @param createUserId
    */
    public CareCpRecordsQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public CareCpRecordsQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public CareCpRecordsQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public CareCpRecordsQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public CareCpRecordsQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人ID
        * @param createUserIdNotList
        */
        public CareCpRecordsQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人ID
    * @param updateUserId
    */
    public CareCpRecordsQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public CareCpRecordsQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public CareCpRecordsQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public CareCpRecordsQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public CareCpRecordsQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人ID
        * @param updateUserIdNotList
        */
        public CareCpRecordsQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CareCpRecordsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CareCpRecordsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CareCpRecordsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CareCpRecordsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}